View Issue Details

IDProjectCategoryView StatusLast Update
0000165SOGoWeb Mailpublic2009-10-12 18:14
Reporterwimmer Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000165: incorrect recoding from windows-1250 charset
Description

Text of messages encoded in charset windows-1250 is not decoded correctly in WebGUI.
For example I uploaded mbox folder "folder" which included 2 simple messages.
First one was send in windows-1250 and is displayed wrong,
second was send in iso-8859-2 charset and is displayed correctly.

thanks

TagsNo tags attached.

Activities

2009-10-08 09:59

 

folder (4,532 bytes)   
From wimmer  Thu Oct 08 15:37:43 2009
Return-Path: <wimmer@civ.zcu.cz>
X-Original-To: wimmer@civ.zcu.cz
Delivered-To: wimmer@civ.zcu.cz
Received: from fred.zcu.cz (fred.zcu.cz [147.228.57.19])
	by axor.zcu.cz (Postfix) with ESMTP id 6BA4F1000D9FA
	for <wimmer@civ.zcu.cz>; Thu,  8 Oct 2009 15:37:43 +0200 (CEST)
Received: from pirko (pirko.zcu.cz [147.228.111.100])
	(Authenticated sender: wimmer)
	by fred.zcu.cz (Postfix) with ESMTPSA id D111EA0003E7
	for <wimmer@civ.zcu.cz>; Thu,  8 Oct 2009 15:37:41 +0200 (CEST)
Message-ID: <4103FBED87A54D5EA301CA43FE2191C8@pirko>
From: "Milos Wimmer" <wimmer@civ.zcu.cz>
To: <wimmer@civ.zcu.cz>
Subject: win1250 - fault
Date: Thu, 8 Oct 2009 15:37:43 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----=_NextPart_000_0005_01CA482D.46DD5900"
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 6.00.2900.5843
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5579
X-ZCU-MailScanner-ID: D111EA0003E7.EEEE8
X-ZCU-MailScanner: Found to be clean
X-ZCU-MailScanner-SpamCheck: not spam, SpamAssassin (not cached,
	score=-99.989, required 5, ALL_TRUSTED -1.44, AWL -1.45,
	HTML_MESSAGE 0.00, TVD_SPACE_RATIO 2.90, USER_IN_WHITELIST -100.00)
X-ZCU-MailScanner-From: wimmer@civ.zcu.cz
X-Spam-Status: No
X-IMAPbase: 1255009308 0000000004
X-UID: 1
Status: RO
X-Keywords:                                                                      
Content-Length: 887

This is a multi-part message in MIME format.

------=_NextPart_000_0005_01CA482D.46DD5900
Content-Type: text/plain;
	charset="windows-1250"
Content-Transfer-Encoding: quoted-printable

=EC=9A=E8=F8=9E=FD=E1=ED=E9
=CC=8A=C8=D8=8E=DD=C1=CD=C9
=D9=F9=F2=D2
------=_NextPart_000_0005_01CA482D.46DD5900
Content-Type: text/html;
	charset="windows-1250"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Dwindows-1250" =
http-equiv=3DContent-Type>
<META name=3DGENERATOR content=3D"MSHTML 8.00.6001.18812">
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT size=3D2>=EC=9A=E8=F8=9E=FD=E1=ED=E9</FONT></DIV>
<DIV><FONT size=3D2>=CC=8A=C8=D8=8E=DD=C1=CD=C9</FONT></DIV>
<DIV><FONT size=3D2>=D9=F9=F2=D2</FONT></DIV></BODY></HTML>

------=_NextPart_000_0005_01CA482D.46DD5900--


From wimmer  Thu Oct 08 15:34:50 2009
Return-Path: <wimmer@civ.zcu.cz>
X-Original-To: wimmer@civ.zcu.cz
Delivered-To: wimmer@civ.zcu.cz
Received: from fred.zcu.cz (fred.zcu.cz [147.228.57.19])
	by axor.zcu.cz (Postfix) with ESMTP id F064410008B6C
	for <wimmer@civ.zcu.cz>; Thu,  8 Oct 2009 15:34:49 +0200 (CEST)
Received: from pirko (pirko.zcu.cz [147.228.111.100])
	(Authenticated sender: wimmer)
	by fred.zcu.cz (Postfix) with ESMTPSA id 81D47A0003F1
	for <wimmer@civ.zcu.cz>; Thu,  8 Oct 2009 15:34:47 +0200 (CEST)
Message-ID: <891F25ACE9D044BFB32FC5C9BC28BA28@pirko>
From: "Milos Wimmer" <wimmer@civ.zcu.cz>
To: <wimmer@civ.zcu.cz>
Subject: iso-8859-2 - ok
Date: Thu, 8 Oct 2009 15:33:39 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----=_NextPart_000_0011_01CA482C.B56B7600"
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 6.00.2900.5843
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5579
X-ZCU-MailScanner-ID: 81D47A0003F1.5F936
X-ZCU-MailScanner: Found to be clean
X-ZCU-MailScanner-SpamCheck: not spam, SpamAssassin (not cached,
	score=-101.439, required 5, ALL_TRUSTED -1.44, HTML_MESSAGE 0.00,
	USER_IN_WHITELIST -100.00)
X-ZCU-MailScanner-From: wimmer@civ.zcu.cz
X-Spam-Status: No
X-UID: 2
Status: RO
X-Keywords:                                                                      
Content-Length: 825

This is a multi-part message in MIME format.

------=_NextPart_000_0011_01CA482C.B56B7600
Content-Type: text/plain;
	charset="iso-8859-2"
Content-Transfer-Encoding: quoted-printable

=EC=B9=E8=F8=BE=FD=E1=ED=E9
=CC=A9=C8=D8=AE=DD=C1=CD=C9
------=_NextPart_000_0011_01CA482C.B56B7600
Content-Type: text/html;
	charset="iso-8859-2"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Diso-8859-2" =
http-equiv=3DContent-Type>
<META name=3DGENERATOR content=3D"MSHTML 8.00.6001.18812">
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT size=3D2>=EC=B9=E8=F8=BE=FD=E1=ED=E9</FONT></DIV>
<DIV><FONT =
size=3D2>=CC=A9=C8=D8=AE=DD=C1=CD=C9</FONT></DIV></BODY></HTML>

------=_NextPart_000_0011_01CA482C.B56B7600--



folder (4,532 bytes)   
ludovic

ludovic

2009-10-12 18:14

administrator   ~0000157

Regenerated the SOPE patchset. Fix included in:

http://mtn.inverse.ca/revision/diff/9cd6cf883ffe8961708e6bdb5a8b3a3f439eebbf/with/2dbb637c5a189bc664f21c6d8985c3a246a77d7d

Issue History

Date Modified Username Field Change
2009-10-08 09:59 wimmer New Issue
2009-10-08 09:59 wimmer File Added: folder
2009-10-09 13:21 ludovic Target Version => 1.1.0
2009-10-12 18:14 ludovic Note Added: 0000157
2009-10-12 18:14 ludovic Status new => resolved
2009-10-12 18:14 ludovic Fixed in Version => 1.1.0
2009-10-12 18:14 ludovic Resolution open => fixed
2009-10-12 18:14 ludovic Assigned To => ludovic